---
title: SensorErrorEvent
slug: Web/API/SensorErrorEvent
tags:
  - API
  - Error
  - Generic Sensor API
  - Interface
  - Reference
  - Sensor
  - Sensor APIs
  - SensorErrorEvent
  - Sensors
---
<div>{{APIRef("Generic Sensor API")}}</div>

<p><span class="seoSummary">The <strong><code>SensorErrorEvent</code></strong> interface of the <a href="/docs/Web/API/Sensor_APIs">Sensor APIs</a> provides information about errors thrown by a {{domxref('Sensor')}} or related interface. </span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("SensorErrorEvent.SensorErrorEvent()")}}</dt>
 <dd>Creates a new <code>SensorErrorEvent</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref('SensorErrorEvent.error')}} {{readonlyinline}}</dt>
 <dd>Returns the {{domxref('DOMException')}} object passed in the event's contructor.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Generic Sensor','#the-sensor-error-event-interface','SensorErrorEvent')}}</td>
   <td>{{Spec2('Generic Sensor')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SensorErrorEvent")}}</p>
